What is the Language bar?

The Language bar appears on your desktop automatically when you add handwriting recognition, speech recognition, or an Input Method Editor (IME) as a method of entering text. You can use the buttons on the Language bar to perform tasks related to these text services.

For example, if you are entering text with a handwriting input device, use the buttons on the Language bar to open the Writing Pad window, from which you can insert handwritten text in your document.

The buttons and options that are displayed on the Language bar depend on the text services you have installed, and the software program that is currently active. For example, Microsoft Word 2002 supports speech recognition, while Notepad does not. If both programs are running, the speech buttons are displayed when Microsoft Word is active, but disappear when you make Notepad the active program.

You can move the Language bar anywhere on your screen, minimize it to the taskbar, or make it nearly transparent. If you don't use it, you can close it. You should remove text services that you don't use, as they require computer memory and can affect performance.

Related Topics


Moving and hiding the Language bar

The Language bar is a floating toolbar that you can move on your screen, make transparent, shorten, or hide.

Move the Language bar

Move the Language bar to get it out of the way of other programs.

Step-by-step procedure

Hide the Language bar

Minimize the Language bar to perform tasks from the taskbar. Close the Language bar if you don't use it at all.

Step-by-step procedure

Make the Language bar transparent

If you are running Microsoft Windows 2000 or later, you can make the Language bar nearly transparent when it is inactive. This allows you to see what is behind the Language bar.

Step-by-step procedure

Add or remove text labels

By default, each button on the Language bar is labeled with its name. You can turn off text labels to shorten the Language bar and display the button name by holding your mouse pointer over the button.

Step-by-step procedure

Add or remove Language bar buttons

If you are not using a particular button, you can remove it from the Language bar.

Step-by-step procedure

Remove a text service

If you are not using a text service that appears on the Language bar, you should remove it. Text services require computer memory and can affect computer performance.

Step-by-step procedure


Show the Language bar

To show the Language bar

  1. Click Start, point to Settings, click Control Panel, and then double-click Text Services.
  2. Click Language Bar.
  3. Select the Show the Language bar on the desktop check box.

Notes

  • The Language bar is displayed automatically if you install a text service such as handwriting, speech, or an Input Method Editor (IME). However, if you close the Language bar, you can use this procedure to redisplay it.
  • If you minimized the Language bar to the taskbar, click the Language icon ( Language Button) on the taskbar and then click Show the Language bar.
  • Once the Language bar is displayed, you can right-click it to display a menu. Use this menu to change settings for the Language bar, such as making it transparent or adding text labels.


Move the Language bar

To move the Language bar

  1. Move your mouse pointer to the vertical bar at the left end of the Language bar.

    The Move pointer Move appears.

  2. Drag the Language bar where you want it.

Note

  • To hide the Language bar, click Minimize Minimize to keep it available as an icon on the taskbar. To close the Language bar, right-click the Language bar, and then click Close the Language bar.


Hide the Language bar

To hide the Language bar

  1. Right-click the Language bar.
  2. Do one of the following:
    • Select Minimize to reduce the Language bar to an icon on the taskbar.

      This option removes the Language bar from your desktop, but keeps it active and available.

    • Select Close the Language bar to close the Language bar.

      This option turns off the Language bar and removes it from your desktop.

Notes

  • To perform Language bar functions without having the Language bar on your desktop, right-click the Language bar and then click Additional icons in taskbar. You can then minimize the Language bar and click the text service icons on the taskbar to perform actions.
  • Closing the Language bar does not remove any text services. If you are not using a service such as handwriting or speech recognition, you should remove it. Text services require computer memory and may affect performance.
  • You can also minimize the Language bar by clicking Minimize Minimize on the Language bar.
  • You cannot close the Language bar if you have installed an Input Method Editor (IME).


Make the Language bar transparent

To make the Language bar transparent

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Preferences, click Language Bar.
  4. In the Language Bar Settings dialog box, select Show the Language bar as transparent when inactive.

Notes

  • Making the Language bar transparent reduces its visibility on your screen and allows you to see what is behind it. It becomes fully visible when you move the mouse pointer over it.
  • To return the Language bar to normal, follow steps 1 through 3 above, and then clear the Show the Language bar as transparent when inactive check box.
  • Transparency is not available if you are using the Language bar on Windows 98, Windows ME, or Windows NT 4.0.


Add text labels to the buttons

To add text labels to the buttons

  1. Right-click the Language bar.
  2. Select Text Labels so that a check mark is displayed.

To hide the text labels and make the Language bar shorter, right-click the bar and then click Text Labels to clear the check mark.

Notes

  • Adding text labels makes it easier to identify each button.
  • If you turn off text labels, you can identify a button by holding the mouse pointer over the button for a moment to display the button name.
  • If the Language bar is too long to fit on your screen, the rightmost buttons are dropped. If that occurs, you may want to turn off text labels.


Add or remove Language bar buttons

To add or remove Language bar buttons

  1. On the Language bar, click Options Options.
  2. Click the button that you want to add or remove.

    A check mark appears to the left of each button that is displayed on the Language bar.

Notes

  • If there are several buttons associated with a particular text service, you can remove the buttons that you don't use. However, if you are not using the text service itself, you should remove the text service. Click Related Topics for information about removing a text service.
  • If the Language bar extends beyond the edge of your screen, you can turn off text labels by right-clicking the Language bar and then clicking Text Labels. You can display the name of any button by holding your mouse pointer over the button.


Restore the Language bar defaults

To restore the Language bar defaults

  1. On the Language bar, click Options Options.
  2. Click Restore Defaults.

Note

  • This action restores all the available buttons to the Language bar. It does not change your current settings for text labels or transparency.


Language bar keyboard shortcuts

To do this | Press this
Switch between languages or keyboard layouts | CTRL+SHIFT or left ALT+SHIFT (see Notes for information about customizing this option)
Switch microphone on or off | Windows logo key +V
Switch between command mode and dictation mode (command mode is only available in some programs, such as Microsoft Word 2002) | Windows logo key +T
Open the Correction dialog box | Windows logo key +C
Turn handwriting on or off | Windows logo key +H
Turn Japanese IME on 101 keyboard on or off | ALT+~
Turn Korean IME on 101 keyboard on or off | Right ALT
Turn Chinese IME on 101 keyboard on or off | CTRL+SPACEBAR

Notes

  • You can set the key combination for switching between languages or keyboard layouts in the Advanced Key Setting dialog box. To open the Advanced Key Setting dialog box, right-click the Language bar, and then click Settings. Under Preferences, click Key Settings.
  • Speech recognition must be installed to use the speech shortcut keys. Handwriting recognition must be installed to use the handwriting shortcut key combination. An East Asian language Input Method Editor (IME) must be installed to use an IME shortcut.
  • The Windows logo key ( Windows logo key) is available on the bottom row of keys on most keyboards.


Understanding text services

Text services enable you to enter and edit text in a document. Keyboards are the most common text service, but speech dictation and digitized handwriting are becoming more popular as advances are made in speech and handwriting recognition.

You can install and add the text services you need. The options include:

  • Keyboard layouts. Keyboards are generally language-specific, and some languages provide multiple keyboard layout options. For example, in the United States, you can enter text with the standard keyboard, the Dvorak keyboard, or an International English keyboard.
  • Input Method Editors (IMEs). IMEs enable you to enter traditional East Asian language characters with a keyboard.
  • Speech recognition. You can enter text and, in some programs, issue commands by speaking into a microphone connected to your computer.
  • Handwriting recognition. You can use a handwriting input device or your mouse to enter text by writing it. The computer converts your handwritten words to typed text.

Windows sets a default language and keyboard layout for you when you install Windows, but you can enable other text services in Text Services in Control Panel.

Add only those text services you intend to use. Each text service requires computer memory and can affect performance.


Add another text service

To add another text service

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed Services, click Add.
  4. In the Add Input language dialog box, select an Input Language.
  5. If available, select the check box for the type of service you want to add, and then select a service from the list.

    For example, select the Keyboard Layout/Input Method Editor check box and then select a keyboard layout from the list.

Notes

  • New text services are available to use as soon as you click OK or Apply.
  • If you add a Chinese, Japanese, or Korean service, you may be prompted to install the fonts for these languages. The fonts can be installed from the Windows CD-ROM or, if applicable, from a network.
  • Add only those text services you intend to use. Each text service requires computer memory and can affect performance.


Remove a text service

To remove a text service

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed services, select the text service you want to remove.
  4. Click Remove.

Notes

  • If you remove the only text service or input method available for a particular language, the language is removed as well.
  • Remove those text services you don't use. Each text service requires computer memory and can affect performance.
  • You cannot remove all text services. You must have at least one service available for entering text into your computer.


Add another language

To add another language

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed Services, click Add.
  4. In the Add Input language dialog box, under Input Language, select the language you want to add.
  5. Select the check box for the type of text service you want to install, if multiple options are available, and then select the service from the list.

    If Keyboard Layout/Input Method Editor is the only type of service available, select an option from the list.

Note

  • You must select at least one text service for the new language.


Add another keyboard layout or Input Method Editor (IME)

To add another keyboard layout or Input Method Editor (IME)

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed Services, click Add.
  4. In the Add Input language dialog box, under Input Language, select the language for the keyboard layout or Input Method Editor (IME) that you want to add.
  5. Select the Keyboard layout/Input Method Editor check box, if multiple options are available, and then select the service from the list.

    If Keyboard Layout/Input Method Editor is the only type of text service available, select an option from the list.

Notes

  • There may be only one keyboard layout for some languages.
  • If you have installed an IME, you may be able to get Help on that IME by clicking the Help button on the Language bar.


Switch languages or keyboards from the Language bar

To switch languages or keyboards from the Language bar

  1. On the Language bar, click the button representing languages Language button or keyboards Keyboards.
  2. From the menu, click the language or keyboard layout that you want to switch to.

Notes

  • The buttons are available on the Language bar only if you have added multiple languages or multiple keyboard layouts in Text Services in Control Panel.
  • You can minimize the Language bar and switch between languages or keyboards using the icons on the taskbar.
  • When entering text, you can use the keyboard, speech recognition, or handwriting recognition interchangeably without clicking a button.
  • The letters on the language button represent the active language. For example, EN stands for English.


Switch languages or keyboards from the taskbar

To switch languages or keyboards from the taskbar

  1. Right-click the Language bar.
  2. Select Additional icons in taskbar so that the check mark is displayed.
  3. Right-click the Language bar again.
  4. Click Minimize.
  5. Click the language icon Language or the keyboard icon Keyboard on the taskbar to display a menu.
  6. Click the language or keyboard you want to switch to.

Notes

  • The language icon is available only if you have added multiple languages or multiple keyboard layouts in Text Services in Control Panel.
  • When entering text, you can use the keyboard, speech recognition, or handwriting recognition interchangeably without clicking a button.
  • The letters on the icon represent the active language. For example, EN stands for English.


Using handwriting recognition

Handwriting recognition allows you to enter text by writing instead of typing. You can enter text by using a handwriting device, such as a digital pen and tablet, or you can write by moving your mouse on your mouse pad (while holding the primary mouse button down) to form words.

Your handwriting is converted to typewritten characters and inserted where you want it. In some software programs, such as Microsoft Word 2002, you can insert your handwriting as ink. Ink displays the text just as you wrote it.

You can use handwriting recognition in programs that support it. These include:

  • Internet Explorer 5.0 or later (you may use handwriting in text boxes that appear on Web sites, but not in the Address bar).
  • Outlook Express 5.0 or later (use handwriting to write e-mail).
  • All Microsoft Office 2002 programs, such as Microsoft Word or Microsoft Outlook.
  • Any software program that is handwriting-enabled.

You can choose Writing Pad to enter text in a window that resembles a note pad, or you can choose Write Anywhere to write anywhere on your screen. You can also draw and insert pictures, using Drawing Pad.

See the online Help within handwriting-enabled programs for specific information about using handwriting recognition with those programs.

Microsoft handwriting recognition engines are currently available in Simplified Chinese, Traditional Chinese, English, Japanese, and Korean language versions. Other language may become available.


Handwriting recognition requirements

To use handwriting recognition to enter text, you need the following hardware and software components:

Writing tool

  • Minimum: You can write by moving your mouse on the mouse pad (while holding down the primary mouse button) to form words.
  • Recommended: A handwriting input tool, such as a pen stylus and tablet, connected to your computer through a serial or USB port. You can also use a graphics tablet used with 3-D drawing or Computer Aided Drafting (CAD) programs.

Computer speed and memory

  • Minimum: A 75-megahertz (MHz) computer with 24 megabytes (MB) of memory if you are using Windows 98 or Windows ME, 40 MB of memory if you are using Windows NT 4.0 or later. Newer operating systems may require more speed and memory.

Software

  • Windows 98 or later, or Windows NT 4.0 or later.
  • Handwriting recognition must be installed. Handwriting recognition is shipped with Microsoft Office 2002, but may not be installed. It may have been installed by your computer's manufacturer if you recently purchased a new computer, even without Microsoft Office 2002.


Install handwriting recognition

To install handwriting recognition

  1. Open Add/Remove Programs in Control Panel.
  2. Click Change or Remove Programs, click Microsoft Office 2002, and then click Change.
  3. Click Add or Remove Features, and then click Next.
  4. Under Features to install, double-click Office Shared Features.
  5. Double-click Alternative User Input, click the box next to Handwriting, and then click Run from My Computer.
  6. Click Update.

Notes

  • To open Add/Remove Programs in Control Panel, click Start, point to Settings, click Control Panel, and then double-click Add/Remove Programs.
  • Microsoft handwriting recognition engines are currently available in Simplified Chinese, Traditional Chinese, English, Japanese, and Korean language versions.
  • East Asian versions of Microsoft Office 2002 install handwriting recognition automatically. Use the procedure above if you are running the English version of Microsoft Office 2002.


Add handwriting recognition

To add handwriting recognition

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed Services, click Add.
  4. In the Add Input language dialog box, select the language from the Input Language list.
  5. Select the Handwriting Recognition check box, and then select an option from the list box.

Notes

  • The handwriting recognition engine must be installed on your computer before you can add it as a text service. Click Related Topics for information about installing the engine.
  • Microsoft handwriting recognition engines are currently available in Simplified Chinese, Traditional Chinese, English, Japanese, and Korean language versions.
  • Remove handwriting recognition if you are not using it, as it uses computer memory and can slow performance.


Remove handwriting recognition

To remove handwriting recognition

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed Services, click Handwriting Recognition, and then click Remove.

Notes

  • Remove handwriting recognition if you are not using it, as it uses computer memory and can slow performance.
  • Removing handwriting recognition does not delete it from your computer, it only removes it as an available text service and prevents it from being loaded into memory. You can add it again at any time.
  • To remove the handwriting recognition engine from the hard disk, follow the instructions in the program with which it was installed, or use Add/Remove Programs in Control Panel.
  • Microsoft handwriting recognition engines are currently available in Simplified Chinese, Traditional Chinese, English, Japanese, and Korean language versions.


Use Writing Pad to enter text

To use Writing Pad to enter text

  1. On the Language bar, click Writing Pad Writing Pad.

    If Writing Pad is not available, click Handwriting Handwriting, and then click Writing Pad.

  2. Place the insertion point where you want to insert handwritten text.
  3. To write, use your handwriting input device, or move your mouse on the mouse pad while holding down the primary mouse button.

    In Writing Pad, write on the line, just as you would on lined notebook paper.

    Your handwriting is automatically recognized and entered at the insertion point.

Notes

  • In East Asian languages, Writing Pad is replaced by Boxed Input Boxed Input.
  • In Microsoft Word and in Microsoft Outlook (if you use Microsoft Word as your editor), you can enter text as ink. Click Ink Ink on the Writing Pad toolbar to display text in ink.
  • You can use handwriting recognition in the following Microsoft programs: Internet Explorer 5.0 or later, Outlook Express 5.0 or later, and Microsoft Office 2002 programs. Other software programs may support handwriting recognition as well. See the online Help in these programs for more information about using handwriting recognition.


Use Write Anywhere to enter text

  1. On the Language bar, click Write Anywhere Write Anywhere.

    If Write Anywhere is not available, click Handwriting Handwriting, and then click Write Anywhere.

  2. Place the insertion point where you want to insert handwritten text.
  3. To write, use your handwriting input device, or move your mouse on the mouse pad while holding down the primary mouse button.

    You can write anywhere on your screen.

    Your handwriting is automatically recognized and entered at the insertion point.

Notes

  • In Microsoft Word and Microsoft Outlook (if you use Microsoft Word as your editor), you can enter text as ink. Click Ink Ink on the Write Anywhere toolbar to display text as ink.
  • You can use handwriting recognition in the following Microsoft programs: Internet Explorer 5.0 or later, Outlook Express 5.0 or later, and Microsoft Office 2002 programs. Other software programs may support handwriting recognition as well. See the online Help in these programs for more information about using handwriting recognition.


Change handwriting options

To change handwriting options

  1. On the Language bar, click Writing Pad Writing Pad or Write Anywhere Write Anywhere.

    If neither is available, click Handwriting Handwriting, and then click Writing Pad or Write Anywhere.

  2. Click Options Options in the upper-left corner of the Writing Pad or the Write Anywhere toolbar, and then click Options.
  3. You can change any of the following options in the Handwriting Options dialog box:
    4. Option | Description
Pen color | Changes line color. This does not affect the color of text at the insertion point.
Pen width | Changes line width.
Add space after insertion | Automatically adds a space after each word.
Automatic recognition | Recognizes your handwriting automatically after each pause. If you turn this off, click the Recognize Now button on the toolbar to insert text into your document.
Recognition delay | Determines how quickly your handwriting is recognized.
Toolbar layout | Determines where the toolbar buttons appear in Writing Pad, and how large the buttons are.
Restore Default | Restores handwriting options to the default settings.
 | The following options are on the Writing Pad tab
Background | Sets the background color for the writing surface in Writing Pad.
Number of lines | Sets the number of lines that are displayed on the writing surface in Writing Pad.


Correct handwriting errors

To correct handwriting errors

  1. Select the error, using your mouse or keyboard.

    If necessary, you can select several words or a phrase.

  2. Write the correct text using your handwriting tool or mouse.

Notes

  • As an alternative, you can select the word or words and then type the correction.
  • In some programs, such as Microsoft Word 2002 and Microsoft Outlook 2002 (if you use Microsoft Word as your editor), you can select the word or words and then click Correction Correction on the Language bar. See the online Help in Microsoft Word for more information.
  • For East Asian languages, right-click the error and then select the correct alternative from the list.


Use handwriting tools to draw

To use handwriting tools to draw

  1. On the Language bar, click Drawing Pad Drawing Pad.

    If Drawing Pad is not available, click Handwriting Handwriting, and then click Drawing Pad.

  2. Place the insertion point where you want to insert a drawing.
  3. To draw, use your handwriting input device or move your mouse on the mouse pad while holding down the primary mouse button.
  4. To change the line color or width, click Options Options in the upper-left corner, and then click Options.
  5. Once you finish, click Insert Drawing Insert Drawing.

Notes

  • Drawing Pad is only available in Microsoft Word 2002 and Microsoft Outlook 2002 (if Microsoft Word is your e-mail editor).
  • Click Related Topics for more information about the Drawing Pad toolbar buttons.


Use an on-screen keyboard

To use an on-screen keyboard

  1. On the Language bar, click Handwriting Handwriting, and then click On-Screen Standard Keyboard or On-Screen Symbol Keyboard.
  2. Place the insertion point where you want to insert text.
  3. Do one of the following:
    • If you have a touch-screen computer, point to the buttons on the on-screen keyboard to enter text or move the insertion point.
    • If you don't have a touch-screen computer, use your mouse to click buttons on the on-screen keyboard to enter text or move the insertion point.

Notes

  • The on-screen keyboards are mainly intended for users with touch-screen computers. However, the On-Screen Symbol Keyboard enables you to enter characters that may not appear on your keyboard.
  • The on-screen keyboards provided with the handwriting recognition engine are intended for use with English and other European languages. On-screen keyboards available with Input Method Editors (IMEs) are documented in the IME Help.


Handwriting toolbars for English

Use the buttons on the Writing Pad and Write Anywhere toolbars to edit text or move your insertion point.

Click | To
Ink Ink | Enter text in handwritten format. This button is unavailable if the active program does not support Ink.
Text Text | Enter text in typed format.
Drawing Pad Drawing Pad | Open Drawing Pad.
Backspace Backspace | Delete the previous character at the insertion point.
Space Space | Enter a space at the insertion point.
Enter Enter | Start a new paragraph.
Tab Tab | Insert a tab at the insertion point.
Recognize Now Recognize Now | Switch between instant recognition and recognition when the entire word is written.
Write Anywhere Write Anywhere | Switch to the Write Anywhere program.
Writing Pad Writing Pad | Switch to the Writing Pad window.
Left Cursor Left Cursor | Move the insertion point to the left.
Up Cursor Up Cursor | Move the insertion point up.
Right Cursor Right Cursor | Move the insertion point to the right.
Down Cursor Down Cursor | Move the insertion point down.
Correction Correction | Display correction options (not available in some programs).
Clear Clear | Delete the handwritten text or drawing.
Expand Expand | Expand the toolbar.
Reduce Reduce | Shrink the toolbar.
On-screen keyboard On-Screen Keyboard | Display the on-screen standard keyboard.


Handwriting toolbars for East Asian languages

Use the buttons on the Boxed Input and Write Anywhere toolbars to edit text or move your insertion point. These toolbars are used in the Simplified Chinese, Traditional Chinese, Japanese, and Korean versions of handwriting recognition.

Click | To
Ink Ink | Enter text in handwritten format. This button is unavailable if the active program does not support Ink.
Text Text | Enter text in typed format.
Drawing Pad Drawing Pad | Open the Drawing Pad.
Character Auto Completion Character Auto Completion | Display a list of potential characters as you enter a character in a box in Boxed Input.
Lookup Lookup | Display a list of suggested characters as you enter a character in a box in Boxed Input.
Detail Mode Detail Mode | Display information about the characters in the Lookup or Character Auto Completion lists. (This button is only displayed after you open one of these lists. It is not available in Simplified Chinese.)
Kana to Kanji Conversion (Japanese only) Kana to Kanji Conversion | Convert Kana characters to Kanji at the insertion point.
Backspace Backspace | Delete the previous character at the insertion point.
Space Space | Enter a space at the insertion point.
Enter Enter | Start a new paragraph.
Tab Tab | Insert a tab at the insertion point.
Recognize Now Recognize Now | Switch between instant recognition and recognition when the entire word is written.
Write Anywhere Write Anywhere | Switch to the Write Anywhere program.
Boxed Input Boxed Input | Switch to the Boxed Input window.
Left Cursor Left Cursor | Move the insertion point to the left.
Up Cursor Up Cursor | Move the insertion point up.
Right Cursor Right Cursor | Move the insertion point to the right.
Down Cursor Down Cursor | Move the insertion point down.
Correction Correction | Display correction options (not available in some programs).
Clear Clear | Delete the handwritten text or drawing.
Expand Expand | Expand the toolbar.
Reduce Reduce | Shrink the toolbar.


Drawing Pad toolbar

Use the buttons on the Draw toolbar to modify and insert your drawing.

Click | To
Writing Pad Writing Pad | Switch to the Writing Pad window (English language version).
Boxed Input Boxed Input | Switch to the Boxed Input window (East Asian language versions).
Clear Clear | Delete the drawing and clear the window.
Remove Last Stroke Remove Last Stroke | Delete the last individual stroke.
Copy to Clipboard Copy to Clipboard | Copy the drawing to the Clipboard.
Insert Drawing Insert Drawing | Insert the drawing at the insertion point.


Using speech recognition

Speech recognition allows you to enter text into a document by speaking, much like a dictation machine. Instead of typing, you can compose e-mail, create a report, or modify figures in a spreadsheet by speaking into a microphone. In some programs, you can even format text or issue commands with your voice.

Speech recognition works with programs that are enabled to use it. You can dictate text in any Microsoft Office 2002 program, in Internet Explorer 5.0, and in Outlook Express 5.0. Other software programs may also support speech recognition. You cannot dictate text in Notepad or Wordpad at this time.

To use speech recognition, you should have a good-quality headset microphone and a sound card or USB port. You should be able to position the microphone so it is close to your mouth. Use the Microphone Wizard to configure your microphone.

It is important to train the speech recognition engine to understand your voice. As you read the training text aloud, the engine looks for patterns in the way you speak to help it interpret the words you say. Training creates a speech profile for the individual speaker.

Speech recognition engines are individualized by language. Three Microsoft speech recognition processors are currently available for use with Windows: Simplified Chinese, U.S. English, and Japanese.

Speech recognition is not designed for completely hands-free operation; you'll get the best results if you use a combination of your voice and the mouse and keyboard, or your voice and a handwriting input device.


Getting started with speech recognition

You may need to perform the following tasks to use speech recognition.

Install speech recognition

The speech recognition engine is included with Microsoft Office 2002, but is not installed by default. You can install the speech recognition engine from within Microsoft Word.

Step-by-step procedure

Set up and position your microphone

Use a good-quality microphone; preferably a headset microphone.

Step-by-step procedure

Train speech recognition

You need to train the speech recognition engine so it will understand your voice. The more you train it, the better it will be at converting speech to text.

Step-by-step procedure

Create a speech profile

A speech profile is created automatically for the first person who trains the speech recognition engine to recognize his or her voice. Anyone else using the same logon account must set up a separate profile before conducting training. In addition, you may want to create separate profiles for different noise environments.

Step-by-step procedure


Speech recognition requirements

To use speech recognition, you need the following hardware and software components:

  • A good-quality close talk headset microphone connected to a sound card or USB port.
  • A 400 megahertz (MHz) or faster computer with 128 megabytes (MB) of memory.
  • Internet Explorer 5.0 or later
  • Windows 98 or later, or Windows NT 4.0 or later.
  • The speech recognition engine must be installed. It is available with Microsoft Office 2002, but may not have been installed. Click Related Topics for information about installing it.


Install speech recognition

To install speech recognition

The Microsoft speech recognition engine is included with Microsoft Office 2002, but is not installed by default. Follow either procedure below to install the engine.

Install from Microsoft Word 2002
  1. Open Microsoft Word.
  2. On the Tools menu, click Speech.

    Speech recognition is now available in all Office programs.

Perform a custom installation
  1. Open Add/Remove Programs in Control Panel.
  2. Click Change or Remove Programs, click Microsoft Office 2002, and then click Change.
  3. Click Add or Remove Features, and then click Next.
  4. Under Features to install, double-click Office Shared Features.
  5. Double-click Alternative User Input, click Speech, click the down arrow, and then click Run from My Computer.
  6. Click Update.

Notes

  • To open Add/Remove Programs in Control Panel, click Start, point to Settings, click Control Panel, and then double-click Add/Remove Programs.
  • Microsoft speech recognition engines are available in Simplified Chinese, U.S. English, and Japanese language versions.


Add speech recognition

To add speech recognition

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed Services, click Add.
  4. In the Add Input language dialog box, select an Input Language.
  5. Select the Speech check box, and then select an option from the list.

Notes

  • Speech recognition requires computer memory and can impact your computer's performance, so you should remove it as a text service if you don't use it.
  • If speech recognition is not available, it may not be installed. Click Related Topics for information about installing speech recognition.
  • Speech recognition engines are language-specific. Three Microsoft speech engines are currently available for use in Windows: Simplified Chinese, U.S. English, and Japanese.


Remove speech recognition

To remove speech recognition

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed Services, click Speech under the language you are using, and then click Remove.

Notes

  • Speech recognition requires computer memory and can impact your computer's performance, so you should remove it as a text service if you don't use it.
  • Removing speech recognition does not delete it from your computer, it only removes it as an available text service and prevents it from being loaded into memory. You can add it again at any time.
  • To remove the speech recognition engine from your hard disk, follow the instructions in the program with which it was installed, or use Add/Remove Programs in Control Panel.
  • If speech recognition is not available, it may not be installed. Click Related Topics for information about installing speech recognition.


Set up and configure your microphone

To set up and configure your microphone

  1. Connect your headset microphone to your computer. Most microphones use an internal sound card, or connect to a computer through a USB port. Normally, the connections are in the back of the computer.
  2. Position the microphone just to the side but not far from your mouth. It should not be directly in front of your mouth, and you should not be breathing into it.
  3. Once you position the microphone, keep it in that position. Moving it once it is adjusted can affect the accuracy of your dictation.
  4. Ensure that your office or room is relatively quiet so that your microphone picks up your voice and not environmental sounds.
  5. On the Language bar, click Speech Tools Speech Tools, and then click Options.
  6. On the Speech Recognition tab, under Microphone, click Configure Microphone.
  7. Follow the directions in the Microphone Wizard to configure your microphone and set the volume.

Notes

  • Use a good-quality headset microphone. A microphone that is not part of a headset may not work.
  • If sound does not register, make sure the microphone is turned on. Some microphones have a mute switch. Also, double check the connections to the computer. Some computers have more than one location where a microphone can be plugged in.
  • For speech troubleshooting information, see online Help in any Microsoft Office 2002 program, or click the Help tab in Speech in Control Panel.


Change the speech recognition engine

To change the speech recognition engine

  1. Click Start, point to Settings, click Control Panel, and then double-click Speech.
  2. Click the Speech Recognition tab.
  3. Under Language, select the speech recognition engine you prefer.

Notes

  • If you select a different speech recognition engine, you must restart each speech-enabled program before the new engine is used.
  • Each speech recognition engine is language-specific, and may be region-specific. For example, the Microsoft English ASR Version 5 Engine is intended for speakers of U.S. English. British, Australian, and other non-U.S. English speakers may have difficulty using it, due to variations in accent.


Train speech recognition

To train speech recognition

  1. Click Speech Tools Speech Tools on the Language bar.
  2. Click Training.
  3. Follow the instructions in the Microsoft Speech Recognition Training Wizard.

Notes

  • Training the speech recognition engine is critical for improving accuracy. As you read the text aloud, the engine looks for patterns in the way you speak to help it interpret the words that you say.
  • A training session takes a few minutes. One training session provides good accuracy. Additional training sessions improve the accuracy.
  • Each person that uses speech recognition needs to conduct his or her own training. Training produces the user's speech profile.
  • Though the speech recognition engine filters out some background noise, a quieter environment produces improved recognition. Be sure to use a good-quality microphone.
  • If you make a mistake when pronouncing a word, don't worry. Just keep reading aloud. If you are stopped by a word that the training wizard won't recognize, click Skip Word.


Create a speech profile

To create a speech profile

  1. Click Start, point to Settings, click Control Panel, and then double-click Speech.
  2. Click the Speech Recognition tab.
  3. Under Recognition Profiles, click New.
  4. Follow the directions in the Profile Wizard.

Notes

  • The first person to use speech recognition on a computer does not have to create a speech profile. The Default Speech Profile is created automatically as you train the engine to recognize your voice.
  • A speech profile stores information about the sound of your voice, word pronunciation, accent, and speaking manner, as well as background noises. Each person who uses speech recognition on a computer should create a profile.
  • If you use speech recognition in different environments with different background sounds, you may want to create separate profiles for each environment. Background sound may affect speech recognition accuracy.


Speaking to a computer

When speaking to other people, we are usually understood whether we speak slowly or quickly, loudly or softly. When speaking to a computer, however, it is better to speak in a more consistent tone. When you talk to your computer:

  • Speak in a consistent, level tone. Speaking too loudly or too softly makes it difficult for the computer to interpret what was said.
  • Use a consistent rate of speech; do not speak too slowly or too quickly.
  • Speak without pausing between words; a phrase is easier for the computer to interpret than a single word.

Because we don't usually need to think about how we speak, it may seem a little awkward at first when you talk to your computer. With a little practice, however, speaking to your computer will become more natural.

Speech recognition tips

  • Start by working in a quiet environment so that the computer hears you instead of the sounds around you.
  • Use a good-quality close talk headset microphone.
  • Keep the microphone in the same position; try not to move it around once it is adjusted.
  • Train your computer to recognize your voice by reading aloud the prepared training text in the Microsoft Speech Recognition Training Wizard. Additional training increases speech recognition accuracy. Click Speech Tools Speech Tools on the Language bar, and then click Training to perform speech training.
  • As you speak, don't be concerned if you don't see your words on the screen immediately. Continue speaking and pause at the end of each sentence. The computer will display the recognized text on the screen after it finishes processing your voice.
  • Pronounce words clearly, but don't separate each syllable in a word. For example, sounding out each syllable in "e-nun-ci-ate" will make it more difficult for the computer to recognize what you've said.


Commands you can use with speech recognition

There are commands you can use during dictation that enable you to work efficiently. The commands listed in the table below can be used in any program that supports the Microsoft speech recognition engine.

Say | To
"New line" | Start text on the next line.
"New paragraph" | Start a new paragraph.
"Microphone" | Turn the microphone off.
"Tab" | Press the TAB key once
"Enter" | Press the ENTER key once
"Spelling mode" | Spell out the next word. For example, say this before you spell out a company name or a person's name. Pause after spelling out the word to revert to normal dictation mode.
"Forcenum" | Enter a number or symbol instead of spelling it out. For example, say this to enter "2" instead of "two." Pause after saying the number or symbol to revert to normal dictation mode.

Punctuation marks

In addition, you can say the names of punctuation marks to enter those marks. For example, you can say "comma" to add a comma, and you can say "period" to add a period at the end of a sentence.

Note

  • In Microsoft Word 2002 (and Microsoft Outlook 2002, if you use Word as your e-mail editor), you can use Voice Command mode to select menus, menu commands, and options in dialog boxes by speaking them. You can also format text by saying "bold" or "italic," and navigate within a document with commands such as "tab" or "go up." See the online Help in Microsoft Word for more information about commands.


Turn your microphone on or off

To turn your microphone on or off

  1. On the Language bar, click Microphone Microphone to turn it on.
  2. Click Microphone again to turn it off.

Notes

  • Some headsets have a Mute button that enables you to turn your microphone on or off. The headset’s Mute button overrides the button on the Language bar.
  • Keyboard shortcut: Use Windows logo key +V to turn your microphone on or off.


Select a speech profile

To select a speech profile

  1. Click Speech Tools Speech Tools on the Language bar.
  2. Point to Current User, and then click the profile you want to use.

Notes

  • The speech recognition user profile stores information about how an individual speaks and pronounces words. Each person who uses speech recognition on a computer should create his or her own profile.
  • The first speech profile created for a user's account is called Default Speech Profile. If each person using a computer logs on separately, each will have their own Default Speech Profile.
  • If you use speech recognition in different environments with different background sounds, you may want to create profiles for yourself in each environment. Background sound can affect speech recognition accuracy.


Practice using speech recognition

To practice using speech recognition

  1. Make sure the mouse pointer is located in a place where you can enter text, such as in an e-mail message, a document, or a text box in Internet Explorer.
  2. Turn your microphone on by clicking Microphone Microphone on the Language bar.

    If you are working in a Microsoft Office 2002 product, such as Microsoft Word or Microsoft Outlook, click Dictation on the Language bar.

  3. Dictate text. Speak clearly, but do not pause between words.

Notes

  • You will probably find it easier to dictate your entire text, and then correct errors or format the text after you finish.
  • If you find that speech recognition is generating numerous errors, you may want to conduct another training session to increase accuracy.
  • You can use speech recognition only in programs that support it. Microsoft programs that support speech recognition include Internet Explorer 5.0 or later, Outlook Express 5.0 or later, and all Microsoft Office 2002 programs. Other software programs may also support it. In Internet Explorer, you can use speech to enter text in Web pages, but not in the Address bar.


Correct speech recognition errors

To correct speech recognition errors

  1. Select the error, using the keyboard or mouse.

    If necessary, you can select several words or a phrase.

  2. Repeat the correct word or words.

Notes

  • You can also select the word or words and type the correction.
  • In some programs, such as Microsoft Word 2002 and Microsoft Outlook 2002 (if you use Microsoft Word as your e-mail editor), you can select the word or words and then click Correction Correction on the Language bar. See the online Help in Microsoft Word for more information.
  • If you find that speech recognition is generating numerous errors, you may want to conduct more training to improve accuracy.
  • For East Asian languages, right-click the error and then select the correct text from the list.


Add words to the speech recognition dictionary

To add words to the speech recognition dictionary

  1. Click Speech Tools Speech Tools on the Language bar.
  2. Click Add/Delete Word(s).
  3. Under Word, type the word you want to add.
  4. Click Record pronunciation and pronounce the word.

    When the word is recognized, it will be added under Dictionary. You may have to say the word more than once before it is added to the list.

Notes

  • This tool is useful for adding words, such as company names, that are not likely to be in the speech recognition dictionary.
  • As an alternative, you can say "spelling mode" when you want to spell out a word. Click Related Topics for information about using commands.
  • To delete a word from the dictionary, select the word and then click Delete.
  • In some programs, like Microsoft Word 2002, you can add multiple words at once. See the online Help in the program for more information.